# ansible.builtin.search
Compare string against regular expression using Python’s `search` function.

## Parameters
| Parameter      | Type                       | Description                             |
| -------------- | -------------------------- | --------------------------------------- |
| **ignorecase** | boolean (default: `false`) | Use case insenstive matching.           |
| **multiline**  | boolean (default: `false`) | Match against multiple lines in string. |
| **pattern**    | string / required          | Regex to match against.                 | 

## Examples
```yml
url: "https://example.com/users/foo/resources/bar"
foundmatch: url is search("https://example.com/users/.*/resources")
alsomatch: url is search("users/.*/resources")
```