# ansible.builtin.url
Validates a string to conform to the URL standard.

## Parameters
| Parameter   | Type                   | Description                                                                              |
| ----------- | ---------------------- | ---------------------------------------------------------------------------------------- |
| **schemes** | list / elements=string | Subset of URI schemas to validate against, otherwise **any** scheme is considered valid. |

## Examples
```yml
# simple URL
{{ 'http://example.com' is url }}
# looking only for file transfers URIs
{{ 'mailto://nowone@example.com' is not uri(schemes=['ftp', 'ftps', 'sftp', 'file']) }}
#  but it is according to standard
{{ 'mailto://nowone@example.com' is not uri }}
# more complex URL
{{ 'ftp://admin:secret@example.com/path/to/myfile.yml' is url }}
```